Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002515Piwigotemplatepublic2011.11.18 15:432012.01.02 23:22
Reporterplg 
Assigned Torvelices 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3.1 
Target Version2.4.0beta1Fixed in Version2.4.0beta1 
Summary0002515: a few icons are not in CSS sprite
DescriptionThe CSS sprite has been successfuly adopted for the majority of icons and in all themes. A few icons are not used in the CSS sprite yet :

* delete.png (comment_list.tpl)
* edit.png (comment_list.tpl)
* validate_s.png (comment_list.tpl)
* recent.png (thumbnails.tpl, mainpage_categories.tpl, menubar_categories.tpl)
* recent_by_child.png (mainpage_categories.tpl, menubar_categories.tpl)
* start_filter.png (menubar_categories.tpl)
* stop_filter.png (menubar_categories.tpl)
* datepicker.png (include/datepicker.inc.tpl)
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0005810)
rvelices (developer)
2011.11.18 16:58

not added because:
1) first 5 have different dimmensions so they require different sprite / css rules
2) the 2 filter images are "resized" through css in Sylvia because of the rounded corner - impossible to do with a sprite
3) datepicker jquery ui does not allow anything else than a button text and/or button background image

Any suggestion ?
(0005818)
plg (manager)
2011.11.24 15:47

For Piwigo 2.4, we should remove all useless icons from core themes, don't you think?

1) yes, they are 16px icons. Can't we make an exception in the CSS rules and simply have them top right in the 26px square of the "all icons" files?

2) can't we slightly change the CSS rule :

#menubar .button {top: 22px;}

and remove height/width

3) ok, we have to comply with datepicker rules
(0005825)
svn (reporter)
2011.11.29 20:27

[Subversion] r12671 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2515: a few icons are not in CSS sprite (start/stop filter are now)
also removed many icons that are not used anymore since 2.2
(0005826)
svn (reporter)
2011.11.30 21:51

[Subversion] r12676 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2515: a few icons are not in CSS sprite (comment actions use text links now)

- Issue History
Date Modified Username Field Change
2011.11.18 15:43 plg New Issue
2011.11.18 15:43 plg Status new => assigned
2011.11.18 15:43 plg Assigned To => rvelices
2011.11.18 15:43 plg browser => any
2011.11.18 15:43 plg Web server => Apache 1.3.x
2011.11.18 16:58 rvelices Note Added: 0005810
2011.11.24 15:47 plg Note Added: 0005818
2011.11.29 20:27 svn Checkin
2011.11.29 20:27 svn Note Added: 0005825
2011.11.30 21:51 svn Checkin
2011.11.30 21:51 svn Note Added: 0005826
2012.01.02 23:22 plg Status assigned => closed
2012.01.02 23:22 plg Resolution open => fixed
2012.01.02 23:22 plg Fixed in Version => 2.4.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker